Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.security
Interface SecurityManager

All Superinterfaces:
  Initialisable

All Known Implementing Classes:
  MuleSecurityManager

    public interface SecurityManager

extends Initialisable

`SecurityManager` is responsible for managing one or more security providers.

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Method Summary
`void` | `addEncryptionStrategy(EncryptionStrategy strategy)`
`void` | `addProvider(SecurityProvider provider)`
`Authentication` | `authenticate(Authentication authentication)`
`SecurityContext` | `createSecurityContext(Authentication authentication)`
`Collection<EncryptionStrategy>` | `getEncryptionStrategies()`
`EncryptionStrategy` | `getEncryptionStrategy(String name)`
`SecurityProvider` | `getProvider(String name)`
`Collection<SecurityProvider>` | `getProviders()`
`EncryptionStrategy` | `removeEncryptionStrategy(String name)`
`SecurityProvider` | `removeProvider(String name)`
`void` | `setEncryptionStrategies(Collection<EncryptionStrategy> strategies)`
`void` | `setProviders(Collection<SecurityProvider> providers)`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Method Detail

### authenticate

    Authentication authenticate(Authentication authentication)
                                throws SecurityException,
                                       SecurityProviderNotFoundException

  Throws:
    `SecurityException`
    `SecurityProviderNotFoundException`

### addProvider

    void addProvider(SecurityProvider provider)

### getProvider

    SecurityProvider getProvider(String name)

### removeProvider

    SecurityProvider removeProvider(String name)

### getProviders

    Collection<SecurityProvider> getProviders()

### setProviders

    void setProviders(Collection<SecurityProvider> providers)

### createSecurityContext

    SecurityContext createSecurityContext(Authentication authentication)
                                          throws UnknownAuthenticationTypeException

  Throws:
    `UnknownAuthenticationTypeException`

### getEncryptionStrategy

    EncryptionStrategy getEncryptionStrategy(String name)

### addEncryptionStrategy

    void addEncryptionStrategy(EncryptionStrategy strategy)

### removeEncryptionStrategy

    EncryptionStrategy removeEncryptionStrategy(String name)

### getEncryptionStrategies

    Collection<EncryptionStrategy> getEncryptionStrategies()

### setEncryptionStrategies

    void setEncryptionStrategies(Collection<EncryptionStrategy> strategies)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.